Subject: Re: [PATCH] document string_list_clear

From: Jonathan Nieder <[email-masked]>
Date: Wed, 10 Dec 2014 15:08:27 -0800

Junio C Hamano wrote:
> Jonathan Nieder <[email-masked]> writes:

>>  2. Move documentation to header, being careful enough that the header
>>     sort of works as a standalone document.
>>
>>  3. Move documentation to Documentation/technical/ and keep the header
>>     bare-bones.
[...]
> I am not sure if (2) and (3) are that incompatible, though.  If you
> had an acceptable version of (3), wouldn't it be just the matter of
> indenting the whole thing with "s/^/ */", sprinkle "/**" and "*/" at
> strategic paragraph breaks, and move them back to the corresponding
> header?

Presumably.  There's also the question of whether to use asciidoc
markup, which got mixed in somehow (but I don't see why it has to be ---
a header with asciidoc would be fine with me, as would a file in
Documentation/technical/ without asciidoc).